package cn.iocoder.yudao.module.system.enums.common;


import cn.hutool.core.util.ObjUtil;
import cn.iocoder.yudao.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
@Getter
@AllArgsConstructor
public enum UserImportEnums implements IntArrayValuable {

    STUDENT_0(0, "学生"),
    STUDENT_1(1, "学员"),
    TEACHER_0(0, "教师"),
    TEACHER_1(1, "培训教师");
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(UserImportEnums::getStatus).toArray();

    /**
     * 状态值
     */
    private final Integer status;
    /**
     * 状态名
     */
    private final String name;

    @Override
    public int[] array() {
        return ARRAYS;
    }

    public static boolean isEnable(Integer status) {
        return ObjUtil.equal(STUDENT_0.status, status);
    }

    public static boolean isDisable(Integer status) {
        return ObjUtil.equal(STUDENT_1.status, status);
    }

    /**
     * 根据 name 返回状态值
     *
     * @param name 状态名
     * @return 状态值，如果未找到则返回 null
     */
    public static Integer getStatusByName(String name) {
        for (UserImportEnums status : values()) {
            if (ObjUtil.equal(status.getName(), name)) {
                return status.getStatus();
            }
        }
        return null; // 如果未找到对应的 name，返回 null
    }
}
